// $Id: client.cpp 76591 2007-01-25 18:17:52Z elliott_c $

// ===========================================================
//
// = LIBRARY
//    TAO/tests/Simple/chat
//
// = FILENAME
//    client.cpp
//
// = DESCRIPTION
//    The Chat client program entry point.
//
// = AUTHOR
//    Pradeep Gore <pradeep@cs.wustl.edu>
//
// ===========================================================

#include "Client_i.h"

int
main (int argc, char *argv[])
{
  try
    {
      Client_i client_i;

      if (client_i.init (argc, argv) == -1
	  || client_i.run () == -1)
	return -1;

    }
  catch (const CORBA::Exception& ex)
    {
      ex._tao_print_exception ("client::main\t\n");
      return -1;
    }

  return 0;
}
